package io.gisbi.application.system.domain;

/**
 * <p>
 * 组织机构
 * </p>
 *
 * @author lilin
 * @since 2025-05-08
 */

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Getter;
import lombok.Setter;

import java.time.LocalDateTime;

@Getter
@Setter
@TableName("app_organization")
public class Organization {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    private String id;
    /**
     * 应用ID 关联应用系统
     */
    private String appId;
    /**
     * 组织类型：01-公司  02-部门
     */
    private String orgtype;
    /**
     * 组织编号
     */
    private String orgcode;
    /**
     * 组织名称
     */
    private String orgname;
    /**
     * 上级ID
     */
    private String parentid;
    /**
     * 组织负责人
     */
    private String manager;
    /**
     * 组织详情
     */
    private String description;
    /**
     * 联系地址
     */
    private String address;
    /**
     * 联系电话
     */
    private String contactPhone;
    /**
     * 联系人
     */
    private String contactPerson;
    /**
     * 是否有效 1-是 0-否
     */
    private String isvaild;
    /**
     * 最近修改者
     */
    private String lastmodifier;
    /**
     * 最近修改日期
     */
    private LocalDateTime lastmodifydate;
    /**
     * 备用1
     */
    private String custom1;

    /**
     * 备用2
     */
    private String custom2;

    /**
     * 备用3
     */
    private String custom3;


}
